summaryrefslogtreecommitdiff
path: root/share/customize-dpkgavailable.sh
diff options
context:
space:
mode:
authorHelmut Grohne <helmutg@debian.org>2023-01-15 08:54:06 +0000
committerHelmut Grohne <helmutg@debian.org>2023-01-15 08:54:06 +0000
commitb6aee3905cc52fa206cfbef3fe01d2c6388435a1 (patch)
tree86ab25a9c7434d62019359da0f996d2097aa8247 /share/customize-dpkgavailable.sh
parent59c77e0c3422287651c6e270917bcfa04a6c17a6 (diff)
parentca2cbf6d84dcc96845fcc6521aebe3b5076cdb32 (diff)
downloaddebvm-b6aee3905cc52fa206cfbef3fe01d2c6388435a1.tar.gz
Merge branch 'helmut' into 'main'
reduce usage of DEBVER See merge request helmutg/debvm!22
Diffstat (limited to 'share/customize-dpkgavailable.sh')
-rwxr-xr-xshare/customize-dpkgavailable.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/share/customize-dpkgavailable.sh b/share/customize-dpkgavailable.sh
new file mode 100755
index 0000000..f35b81f
--- /dev/null
+++ b/share/customize-dpkgavailable.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+# Copyright 2022 Helmut Grohne <helmut@subdivi.de>
+# SPDX-License-Identifier: MIT
+#
+# This is a mmdebstrap customize hook that initializes dpkg's available
+# database from an updated apt package list cache.
+#
+# Without the available database, dpkg --set-selections won't work.
+
+set -eu
+
+APT_CONFIG=$MMDEBSTRAP_APT_CONFIG apt-cache dumpavail | dpkg --root "$1" --update-avail